[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataSet.Modified

Was the current record modified ?

## Declaration

Source position: db.pas line 1733

`public property TDataSet.Modified : Boolean read FModified;`

## Description

Modified is True if the current record was modified after a call to Tdataset.Edit or Tdataset.Insert. It becomes True if a value was written to one of the fields of the dataset.

## See also

Tdataset.Edit |  | Set the dataset in editing mode.
TDataset.Insert |  | Insert a new record at the current position.
TDataset.Append |  | Append a new record to the data
TDataset.Cancel |  | Cancel the current editing operation
TDataset.Post |  | Post pending edits to the database.